/**
* 文件：UserDaoImpl.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/

package com.mortals.xhx.base.system.user.dao.ibatis;

import com.mortals.xhx.base.system.user.dao.UserDao;
import com.mortals.xhx.base.system.user.model.UserEntity;
import com.mortals.framework.dao.ibatis.BaseCRUDDaoMybatis;
import com.mortals.framework.model.ParamDto;

import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>Title: 用户信息</p>
 * <p>Description: UserDaoImpl DAO接口 </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */
@Repository("userDao")
public class UserDaoImpl extends BaseCRUDDaoMybatis<UserEntity,Long> implements UserDao {

    @Override
    public List<Long> getAuthListById(Long id) {
        ParamDto param = new ParamDto();
        param.getCondition().put("id", id);
        return getSqlSession().selectList(getSqlId("getAuthListById"), param);
    }

}