package com.mortals.xhx.module.care.web;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.care.model.CareTemplateEntity;
import com.mortals.xhx.module.care.service.CareTemplateService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 关怀问候信息
*
* @author zxfei
* @date 2023-04-07
*/
@RestController
@RequestMapping("care/template")
public class CareTemplateController extends BaseCRUDJsonBodyMappingController<CareTemplateService,CareTemplateEntity,Long> {

    @Autowired
    private ParamService paramService;

    public CareTemplateController(){
        super.setModuleDesc( "关怀问候信息");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "careType", paramService.getParamBySecondOrganize("CareTemplate","careType"));
        this.addDict(model, "sms", paramService.getParamBySecondOrganize("CareTemplate","sms"));
        super.init(model, context);
    }


}