package com.mortals.xhx.module.dept.dao.ibatis;


import org.springframework.stereotype.Repository;
import com.mortals.xhx.module.dept.dao.DeptDao;
import com.mortals.xhx.module.dept.model.DeptEntity;
import java.util.Date;
import com.mortals.framework.dao.ibatis.BaseCRUDDaoMybatis;
import java.util.List;
/**
* 部门信息DaoImpl DAO接口
*
* @author zxfei
* @date 2023-03-06
*/
@Repository("deptDao")
public class DeptDaoImpl extends BaseCRUDDaoMybatis<DeptEntity,Long> implements DeptDao {


    @Override
    public List<DeptEntity> selectChildrenDeptById(String deptId) {
        return getSqlSession().selectList(getSqlId("selectChildrenDeptById"), deptId);
    }

}
