package com.mortals.xhx.module.staff.web;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.staff.model.StaffContractEntity;
import com.mortals.xhx.module.staff.service.StaffContractService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 员工合同信息
*
* @author zxfei
* @date 2023-04-07
*/
@RestController
@RequestMapping("staff/contract")
public class StaffContractController extends BaseCRUDJsonBodyMappingController<StaffContractService,StaffContractEntity,Long> {

    @Autowired
    private ParamService paramService;

    public StaffContractController(){
        super.setModuleDesc( "员工合同信息");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "gender", paramService.getParamBySecondOrganize("StaffContract","gender"));
        this.addDict(model, "politicalstatus", paramService.getParamBySecondOrganize("StaffContract","politicalstatus"));
        this.addDict(model, "staffType", paramService.getParamBySecondOrganize("StaffContract","staffType"));
        this.addDict(model, "status", paramService.getParamBySecondOrganize("StaffContract","status"));
        this.addDict(model, "contractType", paramService.getParamBySecondOrganize("StaffContract","contractType"));
        this.addDict(model, "auditStatus", paramService.getParamBySecondOrganize("StaffContract","auditStatus"));
        super.init(model, context);
    }


}