package com.mortals.xhx.common.keys;

/**
 * 服务调用响应常量
 *
 * @author karlhoo
 */
public interface ResponseConstants {
    /**
     * 请求结果Code主键
     */
    String KEY_RESULT_CODE = "code";
    /**
     * 请求结果Message主键
     */
    String KEY_RESULT_MSG = "msg";
    /**
     * 请求结果Code值-成功
     */
    int RESULT_VALUE_SUCCESS = 1;
    /**
     * 请求结果Code值-失败
     */
    int RESULT_VALUE_FAILURE = -1;
}