-- ----------------------------
-- 员工基本信息菜单 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_menu` VALUES (null, '员工基本信息', '/staff/list', 0, 1, 1, 0, 0,'',NULL, NULL, NULL, 0, 0, 1, NULL, NULL, NULL);

-- ----------------------------
-- 员工基本信息资源路径 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_resource` VALUES (null, '员工基本信息-菜单管理-查看', '/staff/list,/staff/view,/staff/info,/staff/export,/staff/exportExcel,/staff/downloadTemplate,/staff/download', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (null, '员工基本信息-菜单管理-维护', '/staff/add,/staff/edit,/staff/delete,/staff/logicDelete,/staff/save,/staff/importData', 3, 0, NULL, NULL, NULL, 0);

-- ----------------------------
-- 员工基本信息参数 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_param` VALUES (null, '性别', 'Staff', 'gender', '1', '男', 1, 4, 0, 'gender', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '性别', 'Staff', 'gender', '2', '女', 1, 4, 0, 'gender', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '员工状态', 'Staff', 'status', '1', '正式', 1, 4, 0, 'status', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '员工状态', 'Staff', 'status', '2', '试用', 1, 4, 0, 'status', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '员工状态', 'Staff', 'status', '3', '离职', 1, 4, 0, 'status', NULL, NULL, NULL);
-- ----------------------------
-- 员工关怀信息菜单 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_menu` VALUES (null, '员工关怀信息', '/staff/care/list', 0, 1, 1, 0, 0,'',NULL, NULL, NULL, 0, 0, 1, NULL, NULL, NULL);

-- ----------------------------
-- 员工关怀信息资源路径 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_resource` VALUES (null, '员工关怀信息-菜单管理-查看', '/staff/care/list,/staff/care/view,/staff/care/info,/staff/care/export,/staff/care/exportExcel,/staff/care/downloadTemplate,/staff/care/download', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (null, '员工关怀信息-菜单管理-维护', '/staff/care/add,/staff/care/edit,/staff/care/delete,/staff/care/logicDelete,/staff/care/save,/staff/care/importData', 3, 0, NULL, NULL, NULL, 0);

-- ----------------------------
-- 员工关怀信息参数 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_param` VALUES (null, '关怀类型', 'StaffCare', 'careType', '1', '生日关怀', 1, 4, 0, 'careType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '关怀类型', 'StaffCare', 'careType', '2', '入职周年关怀', 1, 4, 0, 'careType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '发送状态', 'StaffCare', 'sendStatus', '0', '未发送', 1, 4, 0, 'sendStatus', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '发送状态', 'StaffCare', 'sendStatus', '1', '已发送', 1, 4, 0, 'sendStatus', NULL, NULL, NULL);
-- ----------------------------
-- 关怀问候信息菜单 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_menu` VALUES (null, '关怀问候信息', '/care/template/list', 0, 1, 1, 0, 0,'',NULL, NULL, NULL, 0, 0, 1, NULL, NULL, NULL);

-- ----------------------------
-- 关怀问候信息资源路径 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_resource` VALUES (null, '关怀问候信息-菜单管理-查看', '/care/template/list,/care/template/view,/care/template/info,/care/template/export,/care/template/exportExcel,/care/template/downloadTemplate,/care/template/download', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (null, '关怀问候信息-菜单管理-维护', '/care/template/add,/care/template/edit,/care/template/delete,/care/template/logicDelete,/care/template/save,/care/template/importData', 3, 0, NULL, NULL, NULL, 0);

-- ----------------------------
-- 关怀问候信息参数 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_param` VALUES (null, '关怀类型', 'CareTemplate', 'careType', '1', '生日关怀', 1, 4, 0, 'careType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '关怀类型', 'CareTemplate', 'careType', '2', '入职周年关怀', 1, 4, 0, 'careType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '是否短信提示', 'CareTemplate', 'sms', '1', '是', 1, 4, 0, 'sms', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '是否短信提示', 'CareTemplate', 'sms', '0', '否', 1, 4, 0, 'sms', NULL, NULL, NULL);
-- ----------------------------
-- 职位信息菜单 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_menu` VALUES (null, '职位信息', '/job/list', 0, 1, 1, 0, 0,'',NULL, NULL, NULL, 0, 0, 1, NULL, NULL, NULL);

-- ----------------------------
-- 职位信息资源路径 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_resource` VALUES (null, '职位信息-菜单管理-查看', '/job/list,/job/view,/job/info,/job/export,/job/exportExcel,/job/downloadTemplate,/job/download', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (null, '职位信息-菜单管理-维护', '/job/add,/job/edit,/job/delete,/job/logicDelete,/job/save,/job/importData', 3, 0, NULL, NULL, NULL, 0);

-- ----------------------------
-- 职位信息参数 SQL
-- ----------------------------
-- ----------------------------
-- 员工黑名单信息菜单 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_menu` VALUES (null, '员工黑名单信息', '/staff/black/list', 0, 1, 1, 0, 0,'',NULL, NULL, NULL, 0, 0, 1, NULL, NULL, NULL);

-- ----------------------------
-- 员工黑名单信息资源路径 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_resource` VALUES (null, '员工黑名单信息-菜单管理-查看', '/staff/black/list,/staff/black/view,/staff/black/info,/staff/black/export,/staff/black/exportExcel,/staff/black/downloadTemplate,/staff/black/download', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (null, '员工黑名单信息-菜单管理-维护', '/staff/black/add,/staff/black/edit,/staff/black/delete,/staff/black/logicDelete,/staff/black/save,/staff/black/importData', 3, 0, NULL, NULL, NULL, 0);

-- ----------------------------
-- 员工黑名单信息参数 SQL
-- ----------------------------
-- ----------------------------
-- 员工调岗信息菜单 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_menu` VALUES (null, '员工调岗信息', '/staff/adjust/log/list', 0, 1, 1, 0, 0,'',NULL, NULL, NULL, 0, 0, 1, NULL, NULL, NULL);

-- ----------------------------
-- 员工调岗信息资源路径 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_resource` VALUES (null, '员工调岗信息-菜单管理-查看', '/staff/adjust/log/list,/staff/adjust/log/view,/staff/adjust/log/info,/staff/adjust/log/export,/staff/adjust/log/exportExcel,/staff/adjust/log/downloadTemplate,/staff/adjust/log/download', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (null, '员工调岗信息-菜单管理-维护', '/staff/adjust/log/add,/staff/adjust/log/edit,/staff/adjust/log/delete,/staff/adjust/log/logicDelete,/staff/adjust/log/save,/staff/adjust/log/importData', 3, 0, NULL, NULL, NULL, 0);

-- ----------------------------
-- 员工调岗信息参数 SQL
-- ----------------------------
-- ----------------------------
-- 员工转正信息菜单 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_menu` VALUES (null, '员工转正信息', '/staff/regular/list', 0, 1, 1, 0, 0,'',NULL, NULL, NULL, 0, 0, 1, NULL, NULL, NULL);

-- ----------------------------
-- 员工转正信息资源路径 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_resource` VALUES (null, '员工转正信息-菜单管理-查看', '/staff/regular/list,/staff/regular/view,/staff/regular/info,/staff/regular/export,/staff/regular/exportExcel,/staff/regular/downloadTemplate,/staff/regular/download', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (null, '员工转正信息-菜单管理-维护', '/staff/regular/add,/staff/regular/edit,/staff/regular/delete,/staff/regular/logicDelete,/staff/regular/save,/staff/regular/importData', 3, 0, NULL, NULL, NULL, 0);

-- ----------------------------
-- 员工转正信息参数 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_param` VALUES (null, '性别', 'StaffRegular', 'gender', '1', '男', 1, 4, 0, 'gender', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '性别', 'StaffRegular', 'gender', '2', '女', 1, 4, 0, 'gender', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '员工类型', 'StaffRegular', 'staffType', '1', '全职', 1, 4, 0, 'staffType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '员工类型', 'StaffRegular', 'staffType', '2', '兼职', 1, 4, 0, 'staffType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '员工类型', 'StaffRegular', 'staffType', '3', '实习', 1, 4, 0, 'staffType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '员工状态', 'StaffRegular', 'status', '1', '正式', 1, 4, 0, 'status', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '员工状态', 'StaffRegular', 'status', '2', '试用', 1, 4, 0, 'status', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '员工状态', 'StaffRegular', 'status', '3', '离职', 1, 4, 0, 'status', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '审核状态', 'StaffRegular', 'auditStatus', '0', '待审核', 1, 4, 0, 'auditStatus', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '审核状态', 'StaffRegular', 'auditStatus', '1', '通过', 1, 4, 0, 'auditStatus', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '审核状态', 'StaffRegular', 'auditStatus', '2', '拒绝', 1, 4, 0, 'auditStatus', NULL, NULL, NULL);
-- ----------------------------
-- 员工离职信息菜单 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_menu` VALUES (null, '员工离职信息', '/staff/leave/list', 0, 1, 1, 0, 0,'',NULL, NULL, NULL, 0, 0, 1, NULL, NULL, NULL);

-- ----------------------------
-- 员工离职信息资源路径 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_resource` VALUES (null, '员工离职信息-菜单管理-查看', '/staff/leave/list,/staff/leave/view,/staff/leave/info,/staff/leave/export,/staff/leave/exportExcel,/staff/leave/downloadTemplate,/staff/leave/download', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (null, '员工离职信息-菜单管理-维护', '/staff/leave/add,/staff/leave/edit,/staff/leave/delete,/staff/leave/logicDelete,/staff/leave/save,/staff/leave/importData', 3, 0, NULL, NULL, NULL, 0);

-- ----------------------------
-- 员工离职信息参数 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_param` VALUES (null, '性别', 'StaffLeave', 'gender', '1', '男', 1, 4, 0, 'gender', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '性别', 'StaffLeave', 'gender', '2', '女', 1, 4, 0, 'gender', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '员工类型', 'StaffLeave', 'staffType', '1', '全职', 1, 4, 0, 'staffType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '员工类型', 'StaffLeave', 'staffType', '2', '兼职', 1, 4, 0, 'staffType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '员工类型', 'StaffLeave', 'staffType', '3', '实习', 1, 4, 0, 'staffType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '员工状态', 'StaffLeave', 'status', '1', '正式', 1, 4, 0, 'status', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '员工状态', 'StaffLeave', 'status', '2', '试用', 1, 4, 0, 'status', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '员工状态', 'StaffLeave', 'status', '3', '离职', 1, 4, 0, 'status', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '审核状态', 'StaffLeave', 'auditStatus', '0', '待审', 1, 4, 0, 'auditStatus', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '审核状态', 'StaffLeave', 'auditStatus', '1', '通过', 1, 4, 0, 'auditStatus', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '审核状态', 'StaffLeave', 'auditStatus', '2', '拒绝', 1, 4, 0, 'auditStatus', NULL, NULL, NULL);
-- ----------------------------
-- 员工合同信息菜单 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_menu` VALUES (null, '员工合同信息', '/staff/contract/list', 0, 1, 1, 0, 0,'',NULL, NULL, NULL, 0, 0, 1, NULL, NULL, NULL);

-- ----------------------------
-- 员工合同信息资源路径 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_resource` VALUES (null, '员工合同信息-菜单管理-查看', '/staff/contract/list,/staff/contract/view,/staff/contract/info,/staff/contract/export,/staff/contract/exportExcel,/staff/contract/downloadTemplate,/staff/contract/download', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (null, '员工合同信息-菜单管理-维护', '/staff/contract/add,/staff/contract/edit,/staff/contract/delete,/staff/contract/logicDelete,/staff/contract/save,/staff/contract/importData', 3, 0, NULL, NULL, NULL, 0);

-- ----------------------------
-- 员工合同信息参数 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_param` VALUES (null, '性别', 'StaffContract', 'gender', '1', '男', 1, 4, 0, 'gender', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '性别', 'StaffContract', 'gender', '2', '女', 1, 4, 0, 'gender', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '员工类型', 'StaffContract', 'staffType', '1', '全职', 1, 4, 0, 'staffType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '员工类型', 'StaffContract', 'staffType', '2', '兼职', 1, 4, 0, 'staffType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '员工类型', 'StaffContract', 'staffType', '3', '实习', 1, 4, 0, 'staffType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '员工状态', 'StaffContract', 'status', '1', '正式', 1, 4, 0, 'status', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '员工状态', 'StaffContract', 'status', '2', '试用', 1, 4, 0, 'status', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '员工状态', 'StaffContract', 'status', '3', '离职', 1, 4, 0, 'status', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '合同类型', 'StaffContract', 'contractType', '1', '纸质', 1, 4, 0, 'contractType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '审核状态', 'StaffContract', 'auditStatus', '0', '待审核', 1, 4, 0, 'auditStatus', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '审核状态', 'StaffContract', 'auditStatus', '1', '通过', 1, 4, 0, 'auditStatus', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '审核状态', 'StaffContract', 'auditStatus', '2', '拒绝', 1, 4, 0, 'auditStatus', NULL, NULL, NULL);
-- ----------------------------
-- 考勤打卡记录信息菜单 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_menu` VALUES (null, '考勤打卡记录信息', '/attendance/record/list', 0, 1, 1, 0, 0,'',NULL, NULL, NULL, 0, 0, 1, NULL, NULL, NULL);

-- ----------------------------
-- 考勤打卡记录信息资源路径 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_resource` VALUES (null, '考勤打卡记录信息-菜单管理-查看', '/attendance/record/list,/attendance/record/view,/attendance/record/info,/attendance/record/export,/attendance/record/exportExcel,/attendance/record/downloadTemplate,/attendance/record/download', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (null, '考勤打卡记录信息-菜单管理-维护', '/attendance/record/add,/attendance/record/edit,/attendance/record/delete,/attendance/record/logicDelete,/attendance/record/save,/attendance/record/importData', 3, 0, NULL, NULL, NULL, 0);

-- ----------------------------
-- 考勤打卡记录信息参数 SQL
-- ----------------------------
-- ----------------------------
-- 考勤打卡记录详细信息菜单 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_menu` VALUES (null, '考勤打卡记录详细信息', '/attendance/record/detail/list', 0, 1, 1, 0, 0,'',NULL, NULL, NULL, 0, 0, 1, NULL, NULL, NULL);

-- ----------------------------
-- 考勤打卡记录详细信息资源路径 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_resource` VALUES (null, '考勤打卡记录详细信息-菜单管理-查看', '/attendance/record/detail/list,/attendance/record/detail/view,/attendance/record/detail/info,/attendance/record/detail/export,/attendance/record/detail/exportExcel,/attendance/record/detail/downloadTemplate,/attendance/record/detail/download', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (null, '考勤打卡记录详细信息-菜单管理-维护', '/attendance/record/detail/add,/attendance/record/detail/edit,/attendance/record/detail/delete,/attendance/record/detail/logicDelete,/attendance/record/detail/save,/attendance/record/detail/importData', 3, 0, NULL, NULL, NULL, 0);

-- ----------------------------
-- 考勤打卡记录详细信息参数 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_param` VALUES (null, '上班打卡结果', 'AttendanceRecordDetail', 'goWorkResult', '1', '正常', 1, 4, 0, 'goWorkResult', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '上班打卡结果', 'AttendanceRecordDetail', 'goWorkResult', '2', '请假', 1, 4, 0, 'goWorkResult', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '上班打卡结果', 'AttendanceRecordDetail', 'goWorkResult', '3', '缺卡', 1, 4, 0, 'goWorkResult', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '上班打卡结果', 'AttendanceRecordDetail', 'goWorkResult', '4', '迟到', 1, 4, 0, 'goWorkResult', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '上班打卡结果', 'AttendanceRecordDetail', 'goWorkResult', '5', '早退', 1, 4, 0, 'goWorkResult', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '下班打卡结果', 'AttendanceRecordDetail', 'offWorkResult', '1', '正常', 1, 4, 0, 'offWorkResult', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '下班打卡结果', 'AttendanceRecordDetail', 'offWorkResult', '2', '请假', 1, 4, 0, 'offWorkResult', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '下班打卡结果', 'AttendanceRecordDetail', 'offWorkResult', '3', '缺卡', 1, 4, 0, 'offWorkResult', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '下班打卡结果', 'AttendanceRecordDetail', 'offWorkResult', '4', '迟到', 1, 4, 0, 'offWorkResult', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '下班打卡结果', 'AttendanceRecordDetail', 'offWorkResult', '5', '早退', 1, 4, 0, 'offWorkResult', NULL, NULL, NULL);
-- ----------------------------
-- 考勤组信息菜单 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_menu` VALUES (null, '考勤组信息', '/attendance/group/list', 0, 1, 1, 0, 0,'',NULL, NULL, NULL, 0, 0, 1, NULL, NULL, NULL);

-- ----------------------------
-- 考勤组信息资源路径 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_resource` VALUES (null, '考勤组信息-菜单管理-查看', '/attendance/group/list,/attendance/group/view,/attendance/group/info,/attendance/group/export,/attendance/group/exportExcel,/attendance/group/downloadTemplate,/attendance/group/download', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (null, '考勤组信息-菜单管理-维护', '/attendance/group/add,/attendance/group/edit,/attendance/group/delete,/attendance/group/logicDelete,/attendance/group/save,/attendance/group/importData', 3, 0, NULL, NULL, NULL, 0);

-- ----------------------------
-- 考勤组信息参数 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_param` VALUES (null, '类型', 'AttendanceGroup', 'type', '1', '固定班指', 1, 4, 0, 'type', NULL, NULL, NULL);
-- ----------------------------
-- 考勤班次信息菜单 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_menu` VALUES (null, '考勤班次信息', '/attendance/class/list', 0, 1, 1, 0, 0,'',NULL, NULL, NULL, 0, 0, 1, NULL, NULL, NULL);

-- ----------------------------
-- 考勤班次信息资源路径 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_resource` VALUES (null, '考勤班次信息-菜单管理-查看', '/attendance/class/list,/attendance/class/view,/attendance/class/info,/attendance/class/export,/attendance/class/exportExcel,/attendance/class/downloadTemplate,/attendance/class/download', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (null, '考勤班次信息-菜单管理-维护', '/attendance/class/add,/attendance/class/edit,/attendance/class/delete,/attendance/class/logicDelete,/attendance/class/save,/attendance/class/importData', 3, 0, NULL, NULL, NULL, 0);

-- ----------------------------
-- 考勤班次信息参数 SQL
-- ----------------------------
-- ----------------------------
-- 考勤班次详细信息菜单 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_menu` VALUES (null, '考勤班次详细信息', '/attendance/class/detail/list', 0, 1, 1, 0, 0,'',NULL, NULL, NULL, 0, 0, 1, NULL, NULL, NULL);

-- ----------------------------
-- 考勤班次详细信息资源路径 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_resource` VALUES (null, '考勤班次详细信息-菜单管理-查看', '/attendance/class/detail/list,/attendance/class/detail/view,/attendance/class/detail/info,/attendance/class/detail/export,/attendance/class/detail/exportExcel,/attendance/class/detail/downloadTemplate,/attendance/class/detail/download', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (null, '考勤班次详细信息-菜单管理-维护', '/attendance/class/detail/add,/attendance/class/detail/edit,/attendance/class/detail/delete,/attendance/class/detail/logicDelete,/attendance/class/detail/save,/attendance/class/detail/importData', 3, 0, NULL, NULL, NULL, 0);

-- ----------------------------
-- 考勤班次详细信息参数 SQL
-- ----------------------------
-- ----------------------------
-- 请假记录信息菜单 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_menu` VALUES (null, '请假记录信息', '/attendance/leave/record/list', 0, 1, 1, 0, 0,'',NULL, NULL, NULL, 0, 0, 1, NULL, NULL, NULL);

-- ----------------------------
-- 请假记录信息资源路径 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_resource` VALUES (null, '请假记录信息-菜单管理-查看', '/attendance/leave/record/list,/attendance/leave/record/view,/attendance/leave/record/info,/attendance/leave/record/export,/attendance/leave/record/exportExcel,/attendance/leave/record/downloadTemplate,/attendance/leave/record/download', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (null, '请假记录信息-菜单管理-维护', '/attendance/leave/record/add,/attendance/leave/record/edit,/attendance/leave/record/delete,/attendance/leave/record/logicDelete,/attendance/leave/record/save,/attendance/leave/record/importData', 3, 0, NULL, NULL, NULL, 0);

-- ----------------------------
-- 请假记录信息参数 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_param` VALUES (null, '请假类型', 'AttendanceLeaveRecord', 'leaveType', '1', '事假', 1, 4, 0, 'leaveType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '请假类型', 'AttendanceLeaveRecord', 'leaveType', '2', '调休', 1, 4, 0, 'leaveType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '请假类型', 'AttendanceLeaveRecord', 'leaveType', '3', '病假', 1, 4, 0, 'leaveType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '请假类型', 'AttendanceLeaveRecord', 'leaveType', '4', '年假', 1, 4, 0, 'leaveType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '请假类型', 'AttendanceLeaveRecord', 'leaveType', '5', '产假', 1, 4, 0, 'leaveType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '请假类型', 'AttendanceLeaveRecord', 'leaveType', '6', '陪产假', 1, 4, 0, 'leaveType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '请假类型', 'AttendanceLeaveRecord', 'leaveType', '7', '婚假', 1, 4, 0, 'leaveType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '请假类型', 'AttendanceLeaveRecord', 'leaveType', '8', '例假', 1, 4, 0, 'leaveType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '请假类型', 'AttendanceLeaveRecord', 'leaveType', '9', '哺乳假', 1, 4, 0, 'leaveType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '请假类型', 'AttendanceLeaveRecord', 'leaveType', '10', '丧假', 1, 4, 0, 'leaveType', NULL, NULL, NULL);
-- ----------------------------
-- 员工假期余额信息菜单 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_menu` VALUES (null, '员工假期余额信息', '/attendance/vacation/balance/list', 0, 1, 1, 0, 0,'',NULL, NULL, NULL, 0, 0, 1, NULL, NULL, NULL);

-- ----------------------------
-- 员工假期余额信息资源路径 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_resource` VALUES (null, '员工假期余额信息-菜单管理-查看', '/attendance/vacation/balance/list,/attendance/vacation/balance/view,/attendance/vacation/balance/info,/attendance/vacation/balance/export,/attendance/vacation/balance/exportExcel,/attendance/vacation/balance/downloadTemplate,/attendance/vacation/balance/download', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (null, '员工假期余额信息-菜单管理-维护', '/attendance/vacation/balance/add,/attendance/vacation/balance/edit,/attendance/vacation/balance/delete,/attendance/vacation/balance/logicDelete,/attendance/vacation/balance/save,/attendance/vacation/balance/importData', 3, 0, NULL, NULL, NULL, 0);

-- ----------------------------
-- 员工假期余额信息参数 SQL
-- ----------------------------
